# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from . import DeviceServicer_pb2 as DeviceServicer__pb2
import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


class DeviceServicerStub(object):
  """Feature: Device Servicer

  General device settings of the BlueVary Off-Gas analysis device can be retrieved within this feature.
  By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 15.04.2020

  """

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.GetLog = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetLog',
        request_serializer=DeviceServicer__pb2.GetLog_Parameters.SerializeToString,
        response_deserializer=SiLAFramework__pb2.CommandConfirmation.FromString,
        )
    self.GetLog_Info = channel.unary_stream(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetLog_Info',
        request_serializer=SiLAFramework__pb2.CommandExecutionUUID.SerializeToString,
        response_deserializer=SiLAFramework__pb2.ExecutionInfo.FromString,
        )
    self.GetLog_Result = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetLog_Result',
        request_serializer=SiLAFramework__pb2.CommandExecutionUUID.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetLog_Responses.FromString,
        )
    self.GetSensorID = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetSensorID',
        request_serializer=DeviceServicer__pb2.GetSensorID_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetSensorID_Responses.FromString,
        )
    self.GetSensorInfo = channel.unary_unary(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/GetSensorInfo',
        request_serializer=DeviceServicer__pb2.GetSensorInfo_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.GetSensorInfo_Responses.FromString,
        )
    self.Subscribe_CurrentStatus = channel.unary_stream(
        '/sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer/Subscribe_CurrentStatus',
        request_serializer=DeviceServicer__pb2.Subscribe_CurrentStatus_Parameters.SerializeToString,
        response_deserializer=DeviceServicer__pb2.Subscribe_CurrentStatus_Responses.FromString,
        )


class DeviceServicerServicer(object):
  """Feature: Device Servicer

  General device settings of the BlueVary Off-Gas analysis device can be retrieved within this feature.
  By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 15.04.2020

  """

  def GetLog(self, request, context):
    """Get Log
    Get the current status of the device from the state machine of the SiLA server.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetLog_Info(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetLog_Result(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSensorID(self, request, context):
    """Get Sensor IDs

    Get the sensor IDs of the gas1, gas2, pressure and humidity sensor.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSensorInfo(self, request, context):
    """Get Sensor Info
    Get all relevant sensor information of the device.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Subscribe_CurrentStatus(self, request, context):
    """Current Status
    Get the current status of the device from the internal state machine of the SiLA server.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_DeviceServicerServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'GetLog': grpc.unary_unary_rpc_method_handler(
          servicer.GetLog,
          request_deserializer=DeviceServicer__pb2.GetLog_Parameters.FromString,
          response_serializer=SiLAFramework__pb2.CommandConfirmation.SerializeToString,
      ),
      'GetLog_Info': grpc.unary_stream_rpc_method_handler(
          servicer.GetLog_Info,
          request_deserializer=SiLAFramework__pb2.CommandExecutionUUID.FromString,
          response_serializer=SiLAFramework__pb2.ExecutionInfo.SerializeToString,
      ),
      'GetLog_Result': grpc.unary_unary_rpc_method_handler(
          servicer.GetLog_Result,
          request_deserializer=SiLAFramework__pb2.CommandExecutionUUID.FromString,
          response_serializer=DeviceServicer__pb2.GetLog_Responses.SerializeToString,
      ),
      'GetSensorID': grpc.unary_unary_rpc_method_handler(
          servicer.GetSensorID,
          request_deserializer=DeviceServicer__pb2.GetSensorID_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetSensorID_Responses.SerializeToString,
      ),
      'GetSensorInfo': grpc.unary_unary_rpc_method_handler(
          servicer.GetSensorInfo,
          request_deserializer=DeviceServicer__pb2.GetSensorInfo_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.GetSensorInfo_Responses.SerializeToString,
      ),
      'Subscribe_CurrentStatus': grpc.unary_stream_rpc_method_handler(
          servicer.Subscribe_CurrentStatus,
          request_deserializer=DeviceServicer__pb2.Subscribe_CurrentStatus_Parameters.FromString,
          response_serializer=DeviceServicer__pb2.Subscribe_CurrentStatus_Responses.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
