# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from . import DriveControlServicer_pb2 as DriveControlServicer__pb2


class DriveControlServicerStub(object):
  """Feature: Drive Control Servicer

  Set and retrieve information regarding the pump drive.
  By Valeryia Sidarava, Institute of Biochemical Engineering, Technical University of Munich, 31.07.2019,
  Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 15.04.2020.

  """

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.StartPump = channel.unary_unary(
        '/sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer/StartPump',
        request_serializer=DriveControlServicer__pb2.StartPump_Parameters.SerializeToString,
        response_deserializer=DriveControlServicer__pb2.StartPump_Responses.FromString,
        )
    self.Stop = channel.unary_unary(
        '/sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer/Stop',
        request_serializer=DriveControlServicer__pb2.Stop_Parameters.SerializeToString,
        response_deserializer=DriveControlServicer__pb2.Stop_Responses.FromString,
        )
    self.GetPumpDirection = channel.unary_unary(
        '/sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer/GetPumpDirection',
        request_serializer=DriveControlServicer__pb2.GetPumpDirection_Parameters.SerializeToString,
        response_deserializer=DriveControlServicer__pb2.GetPumpDirection_Responses.FromString,
        )
    self.SetDirectionClockwise = channel.unary_unary(
        '/sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer/SetDirectionClockwise',
        request_serializer=DriveControlServicer__pb2.SetDirectionClockwise_Parameters.SerializeToString,
        response_deserializer=DriveControlServicer__pb2.SetDirectionClockwise_Responses.FromString,
        )
    self.SetDirectionCounterClockwise = channel.unary_unary(
        '/sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer/SetDirectionCounterClockwise',
        request_serializer=DriveControlServicer__pb2.SetDirectionCounterClockwise_Parameters.SerializeToString,
        response_deserializer=DriveControlServicer__pb2.SetDirectionCounterClockwise_Responses.FromString,
        )
    self.GetCauseResponse = channel.unary_unary(
        '/sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer/GetCauseResponse',
        request_serializer=DriveControlServicer__pb2.GetCauseResponse_Parameters.SerializeToString,
        response_deserializer=DriveControlServicer__pb2.GetCauseResponse_Responses.FromString,
        )


class DriveControlServicerServicer(object):
  """Feature: Drive Control Servicer

  Set and retrieve information regarding the pump drive.
  By Valeryia Sidarava, Institute of Biochemical Engineering, Technical University of Munich, 31.07.2019,
  Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 15.04.2020.

  """

  def StartPump(self, request, context):
    """Start Pump

    Starts the pump out of stand-by mode.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Stop(self, request, context):
    """Stop

    Stops the pump.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetPumpDirection(self, request, context):
    """Get Pump Direction
    Get pump direction.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetDirectionClockwise(self, request, context):
    """Set Direction to clockwise
    Set the rotation direction of the pump to clockwise
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetDirectionCounterClockwise(self, request, context):
    """Set Direction to counter-clockwise
    Set the rotation direction of the pump to counter-clockwise
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetCauseResponse(self, request, context):
    """Get Cause Response
    Get cause of "-" cannot run response = Parameter 1 :
    C=Cycle count of 0 / R=Max flow rate exceeded or flow rate is set to 0 / V=Max volume exceeded;
    Limiting value that was exceeded = Parameter 2:
    C=Value is undefined / R=Max flow (mL/min) / V=Max volume (mL)   .
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_DriveControlServicerServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'StartPump': grpc.unary_unary_rpc_method_handler(
          servicer.StartPump,
          request_deserializer=DriveControlServicer__pb2.StartPump_Parameters.FromString,
          response_serializer=DriveControlServicer__pb2.StartPump_Responses.SerializeToString,
      ),
      'Stop': grpc.unary_unary_rpc_method_handler(
          servicer.Stop,
          request_deserializer=DriveControlServicer__pb2.Stop_Parameters.FromString,
          response_serializer=DriveControlServicer__pb2.Stop_Responses.SerializeToString,
      ),
      'GetPumpDirection': grpc.unary_unary_rpc_method_handler(
          servicer.GetPumpDirection,
          request_deserializer=DriveControlServicer__pb2.GetPumpDirection_Parameters.FromString,
          response_serializer=DriveControlServicer__pb2.GetPumpDirection_Responses.SerializeToString,
      ),
      'SetDirectionClockwise': grpc.unary_unary_rpc_method_handler(
          servicer.SetDirectionClockwise,
          request_deserializer=DriveControlServicer__pb2.SetDirectionClockwise_Parameters.FromString,
          response_serializer=DriveControlServicer__pb2.SetDirectionClockwise_Responses.SerializeToString,
      ),
      'SetDirectionCounterClockwise': grpc.unary_unary_rpc_method_handler(
          servicer.SetDirectionCounterClockwise,
          request_deserializer=DriveControlServicer__pb2.SetDirectionCounterClockwise_Parameters.FromString,
          response_serializer=DriveControlServicer__pb2.SetDirectionCounterClockwise_Responses.SerializeToString,
      ),
      'GetCauseResponse': grpc.unary_unary_rpc_method_handler(
          servicer.GetCauseResponse,
          request_deserializer=DriveControlServicer__pb2.GetCauseResponse_Parameters.FromString,
          response_serializer=DriveControlServicer__pb2.GetCauseResponse_Responses.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
